
Redmine - Defect #13243

redmine hangs when trying to send test email

2013-02-21 04:57 - Bursuc Sergiu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.2.3

Description

Hi,

I use this in configuration.yml:

email_delivery:

delivery_method: :smtp

smtp_settings:

address: domain.com

port: 25

domain: domain.com

authentication: :login

user_name: "user@domain.com"

password: "password"

When I try to send test email or when I perform some action in redmine that would send an email the page just hangs.

I have latest redmine. I can connect to domain.com on port 25 from server.

Please help

Thanks

History

#1 - 2013-02-21 12:39 - Filou Centrinov

Do you have some logging info?

#2 - 2013-02-21 17:45 - Bursuc Sergiu

I don't get any errors in the logs

This is the production.log when I click the test send button:

Started GET "/redmine/admin/test_email" for 1.1.1.1 at Thu Feb 21 18:44:47 +0200 2013

Processing by AdminController#test_email as HTML

Current user: admin (id=1)

Rendered mailer/test_email.text.erb within layouts/mailer (0.5ms)

Rendered mailer/test_email.html.erb within layouts/mailer (0.5ms)

That's it

#3 - 2013-02-21 18:33 - Filou Centrinov

Which ruby / rails versions you use? Any installed Plugins? Do you have this problem without plugins too?

#4 - 2013-02-21 21:37 - Bursuc Sergiu

ruby 1.8.7, no plugins, clean install

#5 - 2020-02-03 08:40 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

Closing this issue because Redmine 2.2 is too old and many changes have been made to the email notification feature during the last 7 years.
Please feel free to reopen this issue if you still experience the same issue with the latest version of Redmine.
